Bug 57935 - Rexec fails when 'auth sufficient /lib/security/pam_rhosts_auth.so' exists on /etc/pam.d/rexec
Rexec fails when 'auth sufficient /lib/security/pam_rhosts_auth.so' exists ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-02 12:08 EST by Jorge Costa
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 05:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorge Costa 2002-01-02 12:08:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
With pam-0.75-18.7.i386.rpm  the following options don't work for rexec, 
the line regarding 
rhosts must be commented out for rexec work.

#%PAM-1.0
# For root login to succeed here with pam_securetty, "rexec" must be
# listed in /etc/securetty.
auth       required     /lib/security/pam_nologin.so
auth       required     /lib/security/pam_securetty.so
auth       required     /lib/security/pam_env.so
auth       sufficient   /lib/security/pam_rhosts_auth.so
auth       required     /lib/security/pam_stack.so service=system-auth
account    required     /lib/security/pam_stack.so service=system-auth
session    required     /lib/security/pam_stack.so service=system-auth

I've downgraded pam to the packages on redhat CD 7.1, pam-0.74-22 and it 
works ok now.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Upgrade to the lastests pam packages from redhat
2.Edit /etc/pamd.d/rexec
#%PAM-1.0
# For root login to succeed here with pam_securetty, "rexec" must be
# listed in /etc/securetty.
auth       required     /lib/security/pam_nologin.so
auth       required     /lib/security/pam_securetty.so
auth       required     /lib/security/pam_env.so
auth       sufficient   /lib/security/pam_rhosts_auth.so
auth       required     /lib/security/pam_stack.so service=system-auth
account    required     /lib/security/pam_stack.so service=system-auth
session    required     /lib/security/pam_stack.so service=system-auth

3.add rexec to /etc/securetty

4. Check exec not commented out in /etc/services

5. Restart xinetd

6. From another system, try :
[hpuxbox:/] rexec linuxbox -l root  -n ls /
Password (linuxbox:root):
rexec: Lost connection

	

Actual Results:  [hpuxbox:/] rexec linuxbox -l root  -n ls /
Password (linuxbox:root):
rexec: Lost connection


Additional info:

I've tried this on several systems, all had the same problem and all were 
solved using the same solution, downgrade the package.
Comment 1 Tomas Mraz 2004-10-20 05:21:23 EDT
This doesn't apply to current rsh-server package.
(There is no more pam_rhosts_auth.so in /etc/pam.d/rexec.)

Note You need to log in before you can comment on or make changes to this bug.